# $Id: smeserver-lazy_admin_tools.spec,v 1.3 2021/06/06 04:44:20 jpp Exp $
# Authority: unnilennium
# Name: Jean-Philippe Pialasse

Summary: Lazy Admin's Tools is a set of scripts to automate admin tasks
%define name smeserver-lazy_admin_tools
%define version 1.1
%define release 8%{?dist}
Name: %{name}
Version: %{version}
Release: %{release}
Source: %{name}-%{version}.tar.xz
License: GPL
Group: Networking/Tools
BuildRoot: /var/tmp/%{name}-%{version}-buildroot
BuildArchitectures: noarch
Requires: smeserver-base
Requires:  SMEServer >= 8.0
Obsoletes: e-smith-lazy_admin_tools
BuildRequires: smeserver-devtools >= 1.13.1-03

%description
The Lazy Administrator's Tools is a set of scripts designed to automate
batch tasks and jobs for E-Smith/SME servers.
    * lat-user       : add/delete users
    * lat-group      : add/delete groups
    * lat pseudonyms : add/delete e-mail pseudonyms for individual users
    * lat-ibays      : add/delete ibays
    * lat-quota      : set the disk quota for individual users
    * lat-domains    : add domainnames the server
    * lat-hosts      : add hostnames to the server
    * lat-procmail   : activate or deactivate procmail for individual users
    * lat-pptp       : activate or deactivate pptp access for individual users
    * lat-dump       : create input files for the above lat-tools, based on the
                       configuration files of the SME servers.
    * lat-shadow     : add users' encrypted password in /etc/shadow file
    
See man lat-tools for general help on the usage of the toolkit, or run the
command with the --help switch to get specific help.

%changelog
* Sun Sep 08 2024 fix-e-smith-pkg.sh by Trevor Batley <trevor@batley.id.au> 1.1-8.sme
- Fix e-smith references in smeserver-lazy_admin_tools [SME: 12732]

* Sat Sep 07 2024 cvs2git.sh aka Brian Read <brianr@koozali.org> 1.1-7.sme
- Roll up patches and move to git repo [SME: 12338]

* Sat Sep 07 2024 BogusDateBot
- Eliminated rpmbuild "bogus date" warnings due to inconsistent weekday,
  by assuming the date is correct and changing the weekday.

* Sun Jun 06 2021 Jean-Philippe Pialasse <tests@pialasse.com> 1.1-6.sme
- add update event to prevent yum to ask for a reboot [SME: 11033]

* Tue Oct 13 2020 Brian Read <brianr@bjsystems.co.uk> 1.1-5.sme
- Initial import in SME10 tree [SME: 11033]

* Mon Mar 7 2016 JP Pialasse <tests@pialasse.com> 1.1-4.sme
- fix error in lat pseudonym, missing character [SME: 5423]

* Tue Feb 9 2016 stephane de Labrusse <stephdl@de-labrusse.fr> 1.1-3.sme
- Roll new rpm for sme9
- Bug 8503, 8500, 7731, 7706 are imported but not tested

* Tue Jul 29 2014 JP PIALASSE tests@pialasse.com  1.1.-3.sme
- fix lat-users delete too long due to groups [SME: 8503]

* Mon Jul 28 2014 JP PIALASSE tests@pialasse.com  1.1.-2.sme
- fix user not being deleted [SME: 8500]
- fix shadow activating user with blank password [SME: 7731]
- NFR added pseudonyms with @ [SME: 7706]
- note: lat-restore now do lat-pseudonyms later after lat-domains for pseudonyms with @ verification.

* Wed Jun 26 2013  JP PIALASSE tests@pialasse.com  1.1.-1.sme
- fix manual [SME: 7702]

* Wed Jun 26 2013  JP PIALASSE tests@pialasse.com  1.0-10.sme
- fix doc in lat-procmail [SME: 7707]
- fix lat-shadow issue [SME: 7709]
- patch7
- patch8

* Wed Jun 26 2013  JP PIALASSE tests@pialasse.com  1.1.-1.sme
- fix manual [SME: 7702]

* Tue Jun 25 2013  JP PIALASSE tests@pialasse.com  1.0-9.sme
- updated patch4 and applied this time
- patch5 to correct lat-user -n option errors 
- patch6 to update manual
- also to check for mailsorting contrib in procmail lat

* Mon Jun 24 2013 JP PIALASSE tests@pialasse.com  1.0-6.sme
- fixed  Can't enable procmail [SME: 7139]
- fixed  Error during creation of pptp access with lazy admin tools [SME: 7695]
- patch4
* Mon May 13 2013 JP PIALASSE tests@pialasse.com  1.0-5.sme
- fixed lat-procmail [SME: 7139]
- fixed removing user with home dir not in /home/e-smith/files/users/ [SME: 7162]
- create basic SME pseudonyms using option -n for nicknames [SME: 7284]
- patch3
* Sat Feb 02 2013 JP PIALASSE tests@pialasse.com  1.0-4.sme
- fixed empty  Gid property  creation on user update bug [SME: 7192]
- added lat-shadow binary [SME: 7137] 
- patch1 and patch2
* Sat Feb 02 2013 JP PIALASSE tests@pialasse.com  1.0-3.sme
- fixed warning on empty group creation/update bug [SME: 7202]
- fixed uid changed on user update bug [SME: 7196]
- fixed warning on user creation/update bug [SME: 7192]
- patch0
* Sat Feb 02 2013 JP PIALASSE tests@pialasse.com  1.0-2.sme
- binary are not executable [SME: 7138]
* Sat May 26 2012 JP PIALASSE tests@pialasse.com  1.0-1.sme
- Initial version

%prep
%setup
#%patch3 -p1
#%patch4 -p1
#%patch5 -p1
#%patch6 -p1
#%patch7 -p1
#%patch8 -p1
#%patch0 -p1
#%patch1 -p1
#%patch2 -p1
#%patch3 -p1
#%patch4 -p1
#%patch5 -p1
#%patch6 -p1

mkdir -p  root/etc/e-smith/events/smeserver-lazy_admin_tools-update

%build

perl createman

%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f e-smith-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT \
    --file '/usr/sbin/lat-domains' 'attr(755,root,root)'  \
    --file '/usr/sbin/lat-dump' 'attr(755,root,root)'  \
    --file /usr/sbin/lat-groups 'attr(755,root,root)'  \
    --file /usr/sbin/lat-hosts 'attr(755,root,root)'  \
    --file /usr/sbin/lat-ibays 'attr(755,root,root)'  \
    --file /usr/sbin/lat-pptp 'attr(755,root,root)'  \
    --file /usr/sbin/lat-procmail 'attr(755,root,root)'  \
    --file /usr/sbin/lat-pseudonyms 'attr(755,root,root)'  \
    --file /usr/sbin/lat-quota 'attr(755,root,root)'  \
    --file /usr/sbin/lat-restore 'attr(755,root,root)'  \
    --file /usr/sbin/lat-users 'attr(755,root,root)'  \
    --file /usr/sbin/lat-shadow 'attr(755,root,root)'  \
    > %{name}-%{version}-filelist 



%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)

